package com.adealink.weparty.wallet.comp

import androidx.lifecycle.LifecycleOwner
import com.adealink.frame.mvvm.view.ViewComponent
import com.adealink.frame.mvvm.viewmodel.activityViewModels
import com.adealink.weparty.wallet.databinding.LayoutWalletActivityBinding
import com.adealink.weparty.wallet.viewmodel.WalletViewModel
import com.adealink.weparty.wallet.viewmodel.WalletViewModelFactory

class WalletActivityComp(
    lifecycleOwner: LifecycleOwner,
    val binding: LayoutWalletActivityBinding
) : ViewComponent(lifecycleOwner) {

    private val viewModel by activityViewModels<WalletViewModel> { WalletViewModelFactory() }
    override fun onCreate() {
        super.onCreate()
        initView()
        observeViewModel()
        loadData()
    }

    private fun initView() {

    }

    private fun observeViewModel() {

    }

    private fun loadData() {

    }

}